<?xml version='1.0'?>
<?xml-stylesheet href="opinions.css" type="text/css"?>

<!DOCTYPE window [
<!ENTITY % locale SYSTEM "/native/fx/opinions.dtd">
%locale;
]>

<window xmlns:html="http://www.w3.org/1999/xhtml" mode="bottom" onclose="OpinionsDialog.hide()" onload="OpinionsDialog.onDialogLoad()" onmode="OpinionsDialog.changeMode()" onunload="OpinionsDialog.onDialogUnload()" title="&opinions.win.title;" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

    <script src="opinions.js" type="application/x-javascript"/>

    <vbox id="opinions-dialog">
        <tooltip id="opinions-window-tooltip" onpopupshowing="return OpinionsDialog.hboxPopupShowing(this);" orient="vertical">
            <label class="tooltip-label" crop="right" flex="1"/>
        </tooltip>
        <stack flex="1">
            <vbox flex="1">
                <deck flex="1000" id="opinions-content" selectedIndex="0">
                    <vbox align="center" id="opinions-content-1" valign="middle">
                        <image class="throbber"/>
                        <label value="&opinions.request.loading;"/>
                    </vbox>

                    <vbox align="center" id="opinions-content-2" valign="middle"/>

                    <vbox align="center" id="opinions-content-3" valign="middle">
                        <label value="&opinions.request.notfound;"/>
                    </vbox>

                    <vbox align="center" id="opinions-content-4" valign="middle">
                        <html:div class="opinions-content-error">
                            <html:p>&opinions.request.error1;</html:p>
                            <html:p>&opinions.request.error1a;</html:p>

                            <button label="&opinions.reload.label;" oncommand="OpinionsDialog.refresh()"/>

                            <html:p>&opinions.request.error1b;<html:br/><html:a href="mailto:support@element.yandex.ru?subject=&opinions.request.error.mailsubject;" onclick="OpinionsDialog.openSupportLink(event); return false;">&opinions.request.error1c;</html:a>.</html:p>
                        </html:div>
                    </vbox>
                </deck>
            </vbox>
        </stack>
    </vbox>
</window>
